#
# Conditional build:
%bcond_without	ocaml_opt	# build opt (native code)

%ifnarch %{ix86} %{x8664} %{arm} aarch64 ppc sparc sparcv9
%undefine	with_ocaml_opt
%endif
Summary:	OCaml functions to manipulate real file (POSIX like) and filename
Summary(pl.UTF-8):	Funkcje OCamla do operacji na (posiksowych) plikach oraz nazwach plików
Name:		ocaml-fileutils
Version:	0.5.2
Release:	1
License:	LGPL v2.1+ with OCaml linking exception
Group:		Libraries
Source0:	http://forge.ocamlcore.org/frs/download.php/1695/%{name}-%{version}.tar.gz
# Source0-md5:	ea653868e5e7a4a9316f7338b971df62
URL:		http://forge.ocamlcore.org/projects/ocaml-fileutils
BuildRequires:	ocaml >= 3.04-7
BuildRequires:	ocaml-findlib
BuildRequires:	ocaml-ounit
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Functions to manipulate real file (POSIX like) and filename.

%description -l pl.UTF-8
Funkcje do operacji na (posiksowych) plikach oraz nazwach plików.

%package devel
Summary:	Development files for OCaml fileutils package
Summary(pl.UTF-8):	Pliki programistyczne pakietu fileutils dla OCamla
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
This package contains libraries and signature files for developing
applications that use OCaml fileutils package.

%description devel -l pl.UTF-8
Ten pakiet zawiera biblioteki i pliki sygnatur do tworzenia aplikacji
wykorzystujących pakiet OCamla fileutils.

%prep
%setup -q

%build
# note: not autoconf configure
./configure \
	--prefix=%{_prefix} \
	--docdir=$(pwd)/doc \
	--override bytecomp_c_compiler "%{__cc} %{rpmcflags} -D_FILE_OFFSET_BITS=64 -D_REENTRANT -fPIC" \
	--override native_c_compiler "%{__cc} %{rpmcflags} -D_FILE_OFFSET_BITS=64 -D_REENTRANT"

%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{site-lib/fileutils,stublibs}

%{__make} install \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

%{__mv} $RPM_BUILD_ROOT%{_libdir}/ocaml/fileutils/META $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/fileutils
cat >> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/fileutils/META <<EOF
directory = "+fileutils"
EOF

# for debugging?
%{__rm} $RPM_BUILD_ROOT%{_libdir}/ocaml/fileutils/*.{annot,cmt,cmti}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS.txt CHANGELOG.txt README.txt TODO.txt
%dir %{_libdir}/ocaml/fileutils
%if %{with ocaml_opt}
%attr(755,root,root) %{_libdir}/ocaml/fileutils/fileutils*.cmxs
%endif
%{_libdir}/ocaml/fileutils/fileutils*.cma
%{_libdir}/ocaml/site-lib/fileutils

%files devel
%defattr(644,root,root,755)
%{_libdir}/ocaml/fileutils/*.cmi
%if %{with ocaml_opt}
%{_libdir}/ocaml/fileutils/*.cmx
%{_libdir}/ocaml/fileutils/fileutils*.a
%{_libdir}/ocaml/fileutils/fileutils*.cmxa
%endif
# doc?
%{_libdir}/ocaml/fileutils/FilePath.mli
%{_libdir}/ocaml/fileutils/FileUtil.mli
%{_libdir}/ocaml/fileutils/FileUtil*.ml
%changelog
* Sat Jun 10 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-fileutils.git;a=log;h=master

* Sat Jun 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 5e584f6
- updated to 0.5.2

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 2c8a33d
- rebuild with ocaml 4.04.1
- release 5 (by relup.sh)

* Sat Mar 19 2016 Jan Rękorajski <baggins@pld-linux.org> f1a8c13
- release 4 (by relup.sh)

* Sat Jul 25 2015 Jakub Bogusz <qboosh@pld-linux.org> 68299a8
- reverted base/-devel split (.cmxs and .cma can be loaded dvia dynlink); release 3

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> ac9ac61
- release 2 (by relup.sh)

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> dd1e140
- updated to 0.5.0

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 1b424bb
- everything is devel here, so merge both packages
- release 4

* Mon Apr 06 2015 Jan Rękorajski <baggins@pld-linux.org> 4d420fb
- renamed opt bcond to ocaml_opt
- disable opt on x32
- rel 3

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 94afb89
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Sun Oct 27 2013 Jakub Bogusz <qboosh@pld-linux.org> c564df1
- updated to 0.4.5, pl for -devel

* Sat Aug 31 2013 Elan Ruusamäe <glen@delfi.ee> 9a8297c
- split -devel

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 795ea7a
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sun Oct 07 2012 Jakub Bogusz <qboosh@pld-linux.org> c43535f
- cleanup

* Tue Sep 25 2012 Jakub Bogusz <qboosh@pld-linux.org> bb728fc
- new

